> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Update the enablements for a space

PUT https://api.contentful.com/spaces/{space_id}/enablements
Content-Type: application/vnd.contentful.management.v1+json

Enables or changes features for a space. Include `X-Contentful-Version` (use `1` if no document exists); `spaceTemplates` and `crossSpaceLinks` must always be set together.

Reference: https://contentful.com/developers/docs/references/content-management-api/space-enablements/update-the-enablements-for-a-space

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — The ID of the Space

### Headers

- `X-Contentful-Version` (string, required) — Last version of the space enablement document you are updating

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Request**

```json
{
  "crossSpaceLinks": {
    "enabled": false
  },
  "spaceTemplates": {
    "enabled": false
  }
}
```

**Response**

```json
{
  "crossSpaceLinks": {
    "enabled": false
  },
  "spaceTemplates": {
    "enabled": false
  },
  "studioExperiences": {
    "enabled": false
  },
  "suggestConcepts": {
    "enabled": false
  },
  "sys": {
    "createdAt": "2025-02-25T03:24:25.000Z",
    "createdBy": {
      "sys": {
        "id": "75cxRYbSLlWMlCrN1tZGdP",
        "linkType": "User",
        "type": "Link"
      }
    },
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "SpaceEnablement",
    "updatedAt": "2025-05-09T20:47:45.000Z",
    "updatedBy": {
      "sys": {
        "id": "75cxRYbSLlWMlCrN1tZGdP",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 3
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
No snippet for this SDK.
```